| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::Paint Class Reference

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::Paint:

## Public Member Functions
| Paint ()
Paint & | SetColor (const ImpellerColor &color)
Paint & | SetBlendMode (ImpellerBlendMode mode)
Paint & | SetDrawStyle (ImpellerDrawStyle style)
Paint & | SetStrokeCap (ImpellerStrokeCap cap)
Paint & | SetStrokeJoin (ImpellerStrokeJoin join)
Paint & | SetStrokeWidth (float width)
Paint & | SetStrokeMiter (float miter)
Paint & | SetColorFilter (const ColorFilter &filter)
Paint & | SetColorSource (const ColorSource &source)
Paint & | SetImageFilter (const ImageFilter &filter)
Paint & | SetMaskFilter (const MaskFilter &filter)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >
| Object ()=default
| Object (ImpellerPaint object)
| Object (ImpellerPaint object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerPaint | Get () const
| operator bool () const

## Detailed Description

See also
  ImpellerPaint

Definition at line 1000 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ Paint()

IMPELLER_HPP_NAMESPACE::Paint::Paint | ( |  | ) |
| inline

Definition at line 1002 of file impeller.hpp.

1002 : Object(gGlobalProcTable.ImpellerPaintNew(), AdoptTag::kAdopt) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Object
Object()=default
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::kAdopt.

## Member Function Documentation

## ◆ SetBlendMode()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetBlendMode | ( | ImpellerBlendMode | mode | ) |
| inline

See also
  ImpellerPaintSetBlendMode

Definition at line 1015 of file impeller.hpp.

1015 {
1016 gGlobalProcTable.ImpellerPaintSetBlendMode(Get(), mode);
1017 return *this;
1018 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get
ImpellerPaint Get() const
Definition: impeller.hpp:278

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetColor()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetColor | ( | const ImpellerColor & | color | ) |
| inline

See also
  ImpellerPaintSetColor

Definition at line 1007 of file impeller.hpp.

1007 {
1008 gGlobalProcTable.ImpellerPaintSetColor(Get(), &color);
1009 return *this;
1010 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetColorFilter()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetColorFilter | ( | const ColorFilter & | filter | ) |
| inline

See also
  ImpellerPaintSetColorFilter

Definition at line 1063 of file impeller.hpp.

1063 {
1064 gGlobalProcTable.ImpellerPaintSetColorFilter(Get(), filter.Get());
1065 return *this;
1066 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetColorSource()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetColorSource | ( | const ColorSource & | source | ) |
| inline

See also
  ImpellerPaintSetColorSource

Definition at line 1071 of file impeller.hpp.

1071 {
1072 gGlobalProcTable.ImpellerPaintSetColorSource(Get(), source.Get());
1073 return *this;
1074 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetDrawStyle()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetDrawStyle | ( | ImpellerDrawStyle | style | ) |
| inline

See also
  ImpellerPaintSetDrawStyle

Definition at line 1023 of file impeller.hpp.

1023 {
1024 gGlobalProcTable.ImpellerPaintSetDrawStyle(Get(), style);
1025 return *this;
1026 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetImageFilter()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetImageFilter | ( | const ImageFilter & | filter | ) |
| inline

See also
  ImpellerPaintSetImageFilter

Definition at line 1079 of file impeller.hpp.

1079 {
1080 gGlobalProcTable.ImpellerPaintSetImageFilter(Get(), filter.Get());
1081 return *this;
1082 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetMaskFilter()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetMaskFilter | ( | const MaskFilter & | filter | ) |
| inline

See also
  ImpellerPaintSetMaskFilter

Definition at line 1087 of file impeller.hpp.

1087 {
1088 gGlobalProcTable.ImpellerPaintSetMaskFilter(Get(), filter.Get());
1089 return *this;
1090 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetStrokeCap()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetStrokeCap | ( | ImpellerStrokeCap | cap | ) |
| inline

See also
  ImpellerPaintSetStrokeCap

Definition at line 1031 of file impeller.hpp.

1031 {
1032 gGlobalProcTable.ImpellerPaintSetStrokeCap(Get(), cap);
1033 return *this;
1034 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetStrokeJoin()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetStrokeJoin | ( | ImpellerStrokeJoin | join | ) |
| inline

See also
  ImpellerPaintSetStrokeJoin

Definition at line 1039 of file impeller.hpp.

1039 {
1040 gGlobalProcTable.ImpellerPaintSetStrokeJoin(Get(), join);
1041 return *this;
1042 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetStrokeMiter()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetStrokeMiter | ( | float | miter | ) |
| inline

See also
  ImpellerPaintSetStrokeMiter

Definition at line 1055 of file impeller.hpp.

1055 {
1056 gGlobalProcTable.ImpellerPaintSetStrokeMiter(Get(), miter);
1057 return *this;
1058 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetStrokeWidth()

Paint& IMPELLER_HPP_NAMESPACE::Paint::SetStrokeWidth | ( | float | width | ) |
| inline

See also
  ImpellerPaintSetStrokeWidth

Definition at line 1047 of file impeller.hpp.

1047 {
1048 gGlobalProcTable.ImpellerPaintSetStrokeWidth(Get(), width);
1049 return *this;
1050 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPaint, ImpellerPaintTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp